---
 plugin/icedteanp/IcedTeaNPPlugin.cc    |    8 ++++----
 plugin/icedteanp/IcedTeaNPPlugin.h     |    2 +-
 plugin/icedteanp/IcedTeaPluginUtils.cc |   12 ++++++------
 plugin/icedteanp/IcedTeaPluginUtils.h  |    2 +-
 4 files changed, 12 insertions(+), 12 deletions(-)

Index: icedtea-web-1.4pre1/plugin/icedteanp/IcedTeaNPPlugin.cc
===================================================================
--- icedtea-web-1.4pre1.orig/plugin/icedteanp/IcedTeaNPPlugin.cc
+++ icedtea-web-1.4pre1/plugin/icedteanp/IcedTeaNPPlugin.cc
@@ -227,8 +227,8 @@ static gint instance_counter = 1;
 static GPid appletviewer_pid = -1;
 static guint appletviewer_watch_id = -1;
 
-int plugin_debug = getenv ("ICEDTEAPLUGIN_DEBUG") != NULL;
-int plugin_debug_suspend = (getenv("ICEDTEAPLUGIN_DEBUG") != NULL) &&
+int icedtea_plugin_debug = getenv ("ICEDTEAPLUGIN_DEBUG") != NULL;
+int icedtea_plugin_debug_suspend = (getenv("ICEDTEAPLUGIN_DEBUG") != NULL) &&
         (strcmp(getenv("ICEDTEAPLUGIN_DEBUG"), "suspend") == 0);
 
 pthread_cond_t cond_message_available = PTHREAD_COND_INITIALIZER;
@@ -1412,14 +1412,14 @@ plugin_start_appletviewer (ITNPPluginDat
   command_line.push_back(COVERAGE_AGENT);
 #endif
 
-  if (plugin_debug)
+  if (icedtea_plugin_debug)
   {
     command_line.push_back("-Xdebug");
     command_line.push_back("-Xnoagent");
 
     //Debug flags
     std::string debug_flags = "-Xrunjdwp:transport=dt_socket,address=8787,server=y,";
-    debug_flags += plugin_debug_suspend ? "suspend=y" : "suspend=n";
+    debug_flags += icedtea_plugin_debug_suspend ? "suspend=y" : "suspend=n";
     command_line.push_back(debug_flags);
   }
 
Index: icedtea-web-1.4pre1/plugin/icedteanp/IcedTeaNPPlugin.h
===================================================================
--- icedtea-web-1.4pre1.orig/plugin/icedteanp/IcedTeaNPPlugin.h
+++ icedtea-web-1.4pre1/plugin/icedteanp/IcedTeaNPPlugin.h
@@ -94,7 +94,7 @@ extern pthread_t itnp_plugin_thread_id;
 extern pthread_mutex_t pluginAsyncCallMutex;
 
 // debug switch
-extern int plugin_debug;
+extern int icedtea_plugin_debug;
 
 // Browser function table.
 extern NPNetscapeFuncs browser_functions;
Index: icedtea-web-1.4pre1/plugin/icedteanp/IcedTeaPluginUtils.cc
===================================================================
--- icedtea-web-1.4pre1.orig/plugin/icedteanp/IcedTeaPluginUtils.cc
+++ icedtea-web-1.4pre1/plugin/icedteanp/IcedTeaPluginUtils.cc
@@ -399,7 +399,7 @@ IcedTeaPluginUtilities::getUTF16LEString
 
 	wchar_t c;
 
-	if (plugin_debug) printf("Converted UTF-16LE string: ");
+	if (icedtea_plugin_debug) printf("Converted UTF-16LE string: ");
 
 	result_unicode_str->clear();
 	for (int i = begin; i < begin+length; i+=2)
@@ -413,14 +413,14 @@ IcedTeaPluginUtilities::getUTF16LEString
         	(c >= 'A' && c <= 'Z') ||
         	(c >= '0' && c <= '9'))
         {
-        	if (plugin_debug) printf("%c", c);
+        	if (icedtea_plugin_debug) printf("%c", c);
         }
 
         result_unicode_str->push_back(c);
 	}
 
 	// not routing via debug print macros due to wide-string issues
-	if (plugin_debug) printf(". Length=%d\n", result_unicode_str->length());
+	if (icedtea_plugin_debug) printf(". Length=%d\n", result_unicode_str->length());
 }
 
 /*
@@ -434,7 +434,7 @@ IcedTeaPluginUtilities::printStringVecto
 {
 
         // This is a CPU intensive function. Run only if debugging
-        if (!plugin_debug)
+        if (!icedtea_plugin_debug)
             return;
 
 	std::string* str = new std::string();
@@ -614,7 +614,7 @@ void
 IcedTeaPluginUtilities::printStringPtrVector(const char* prefix, std::vector<std::string*>* str_ptr_vector)
 {
         // This is a CPU intensive function. Run only if debugging
-        if (!plugin_debug)
+        if (!icedtea_plugin_debug)
             return;
 
 	std::string* str = new std::string();
@@ -638,7 +638,7 @@ void
 IcedTeaPluginUtilities::printNPVariant(NPVariant variant)
 {
     // This is a CPU intensive function. Run only if debugging
-    if (!plugin_debug)
+    if (!icedtea_plugin_debug)
         return;
 
     if (NPVARIANT_IS_VOID(variant))
Index: icedtea-web-1.4pre1/plugin/icedteanp/IcedTeaPluginUtils.h
===================================================================
--- icedtea-web-1.4pre1.orig/plugin/icedteanp/IcedTeaPluginUtils.h
+++ icedtea-web-1.4pre1/plugin/icedteanp/IcedTeaPluginUtils.h
@@ -62,7 +62,7 @@ exception statement from your version. *
 #define PLUGIN_DEBUG(...) \
   do                                                          \
   {                                                           \
-    if (plugin_debug)                                         \
+    if (icedtea_plugin_debug)                                         \
     {                                                         \
       fprintf (stderr, "ITNPP Thread# %ld: ", pthread_self()); \
       fprintf (stderr, __VA_ARGS__);                          \
